import ajax from "@/libs/Ajax";

// 后台命名空间
const NAME_SPACE = "/sys/query";

export default {
  /**
   * 加载万能查询初始化信息
   * @param {String} uuid  查询定义
   */
  loadQueryInfo(uuid) {
    return ajax.get(`${NAME_SPACE}/loadQuery/${uuid}`);
  },
  /**
   * 执行查询
   * @param {Object} uuid 查询定义
   * @param {Object} params 查询参数
   */
  query(uuid, params) {
    return ajax.get(`${NAME_SPACE}/doQuery/${uuid}`, {params});
  },
  /**
   *
   * @param {*} params
   */
  loadDesignList(params) {
    return ajax.get(`${NAME_SPACE}/loadDesignList`, {params});
  },
  /**
   * 查询定义的大纲
   */
  loadDesignMine(params) {
    return ajax.get(`${NAME_SPACE}/loadDesignMine`);
  },

  /**
   * 查询所有的表
   */
  loadAllTable() {
    return ajax.get(`${NAME_SPACE}/listTables`);
  },
  /**
   * 查询表下所有的列
   * @param table
   */
  listColumns(table) {
    return ajax.get(`${NAME_SPACE}/listColumns/${table}`);
  },
  /**
   * 保存设计信息
   * @param {Object} data
   */
  saveDesign(data) {
    return ajax.post(`${NAME_SPACE}/saveDesign`, data);
  },

  /**
   * 删除
   * @param {String} uuid
   */
  deleteDesign(uuid) {
    return ajax.delete(`${NAME_SPACE}/deleteDesign`, {params: {uuid}});
  },
  /**
   * 加载设计信息
   * @param {String} uuid 要加载的信息
   */
  loadDesign(uuid) {
    return ajax.get(`${NAME_SPACE}/loadDesign`, {params: {uuid}});
  }
};
